defmodule RTypesPropCheck.MixProject do
  use Mix.Project

  def project do
    [
      app: :rtypes_propcheck,
      version: "0.1.0",
      elixir: "~> 1.8",
      description: "A PropCheck backend that implements data generators for use with RTypes library",
      name: "rtypes_propcheck",
      package: [
        licenses: ["GPL v3"],
        links: %{"GitHub" => "https://github.com/d2km/rtypes_propcheck"}
      ],
      source_url: "https://github.com/d2km/rtypes_propcheck",
      start_permanent: Mix.env() == :prod,
      elixirc_paths: elixirc_paths(Mix.env()),
      docs: [extras: ["README.md": [title: "README"]]],
      deps: [
        {:rtypes, "~> 0.3.0"},
        {:propcheck, "~> 1.2"},
        {:ex_doc, ">= 0.0.0", only: :dev, runtime: false}
      ]
    ]
  end

  def elixirc_paths(:prod) do
    ["lib"]
  end

  def elixirc_paths(:dev) do
    ["lib"]
  end

  def elixirc_paths(:test) do
    ["lib", "test/lib"]
  end

  def application do
    [
      extra_applications: [:logger]
    ]
  end
end
